<template>
<div class="app-container calendar-list-container">
  <!-- 筛选条件 -->
  <div class="filter-container">
  
    <!-- <el-button class="filter-item " type="success" icon="edit" @click="handleCreate">添加</el-button> -->
  </div>


  <!-- 列表数据 -->
  <Pagination uri="/protocols" :request-params="params" ref="pagination">

      <!-- 内容 -->
      <!-- <el-table-column align="center" label="内容">
        <template scope="scope">
          <span>{{scope.row.content}}</span>
        </template>
      </el-table-column> -->

      <!-- 平台来源 -->
     <!--  <el-table-column align="center" label="平台来源">
        <template scope="scope">
          <span>{{scope.row.platformId}}</span>
        </template>
      </el-table-column> -->

      <!-- 创建时间 -->
      <el-table-column align="center" label="创建时间">
        <template scope="scope">
          <span>{{scope.row.createdTime | parseTime('{y}-{m}-{d} {h}:{i}')}}</span>
        </template>
      </el-table-column>

    <el-table-column label="操作" align="center" width="150">
      <template scope="scope">
        <el-button size="small" type="text" @click="handleEdit(scope.row.id)">编辑</el-button>
        <!-- <el-button size="small" type="text" class="danger" @click="handleDelete(scope.row)">删除</el-button> -->
      </template>
    </el-table-column>
  </Pagination>
</div>
</template>

<script>
import { remove } from '@/api//protocol'
import waves from '@/directive/waves.js'// 水波纹指令
import Pagination from '@/components/Pagination'

export default {
  name: 'protocol_list',
  components: { Pagination },
  directives: {
    waves
  },
  data() {
    return {
      params: {
      }
    }
  },
  created() {
  },
  methods: {
    /**
     * 搜索协议
     */
    handleSearch() {
      this.$refs.pagination.handleSearch()
    },

    /**
     * 编辑协议
     */
    handleEdit(id) {
      this.$router.push({ path: '/protocol/edit', query: { id: id }})
    },

    /**
     * 创建协议
     */
    handleCreate() {
      this.$router.push({ path: '/protocol/edit' })
    },

    /**
     * 删除协议
     */
    handleDelete(row) {
      this.$confirm('确认删除该协议？').then(_ => {
        remove(row.id).then(response => {
          this.$refs.pagination.removeItem(row)
        })
      }).catch(_ => {})
    }
  }
}
</script>

